## haskell-hxt 9.3.1.18

=== examples/arrows/absurls/Makefile ===
# $Id: Makefile,v 1.1 2005/05/12 16:41:38 hxml Exp $

HXT_HOME	= ../../..
PKGFLAGS	= 
GHCFLAGS	= -Wall -O2
GHC		= ghc $(GHCFLAGS) $(PKGFLAGS)

DIST		= $(HXT_HOME)/dist/examples/arrows
DIST_DIR	= $(DIST)/absurls

prog	= ./AbsURIs

all	: $(prog)

AbsURIs	: AbsURIs.hs ProcessDocument.hs
	$(GHC) --make -o $@ $<

force		:
	$(GHC) --make -o $(prog) $(prog).hs

test		: $(prog)
		@echo "===> run a few simple test cases"
		$(MAKE) test0

EX		= ./lousy.html

test0		:
		@echo "===> the source of a lousy html document" ; echo ; sleep 2
		cat $(EX)
		@sleep 2 ; echo ; echo "===> all refs (href, src attributes) are transformed into absolute URIs with respect to the base element" ; echo ; sleep 2
		$(prog) --trace=0 --encoding=ISO-8859-1 --output-encoding=ISO-8859-1 --indent --do-not-issue-warnings $(EX)
		@echo

dist		:
		[ -d $(DIST_DIR) ] || mkdir -p $(DIST_DIR)
		cp $(EX) Makefile $(prog).hs ProcessDocument.hs $(DIST_DIR)

clean		:
		rm -f $(prog) *.o *.hi

=== examples/arrows/dtd2hxt/Makefile ===
# $Id: Makefile,v 1.4 2005/05/15 17:01:04 hxml Exp $

HXT_HOME	= ../../..
PKGFLAGS	= 
GHCFLAGS	= -Wall -O2
GHC		= ghc $(GHCFLAGS) $(PKGFLAGS)

prog		= ./DTDtoHXT

all		: $(prog)

$(prog)		: $(prog).hs
		$(GHC) --make -o $@ $<

force		:
		$(GHC) --make -o $(prog) $(prog).hs

test		:
		@echo "===> run a few generation examples"
		$(MAKE) XHTML.o XHTML2.o
		@echo "===> the generated modules"
		ls -l XHTML*.hs XHTML*.o

EX1		= ../../xhtml/xhtml.xml
EX2		= ../../photoalbum/photos.xml

XHTML.o		: $(prog) $(EX1)
		@echo "===> generate a module for XHTML access function from the XHTML DTD with naming convention is<Elem>, get<Attr>, ..."
		$(prog) --output-file XHTML.hs --uppercase-initials $(EX1)
		$(GHC) -c XHTML.hs

XHTML2.o	: $(prog) $(EX1)
		@echo "===> generate a module for XHTML access function from the XHTML DTD with naming convention is_<elem>, get_<attr>, ..."
		$(prog) --output-file XHTML2.hs --prefix-underline $(EX1)
		$(GHC) -c XHTML2.hs

Photo.hs	: $(prog) $(EX2)
		$(prog) --output-file $@ --uppercase-initials $(EX2)


DIST		= $(HXT_HOME)/dist/examples/arrows
DIST_DIR	= $(DIST)/dtd2hxt
DIST_FILES	= $(prog).hs Makefile

dist		:
		[ -d $(DIST_DIR) ] || mkdir -p $(DIST_DIR)
		cp $(DIST_FILES) $(DIST_DIR)

clean		:
		rm -f $(prog) XHTML*.hs *.o *.hi

=== examples/arrows/performance/Makefile ===
# $Id: Makefile,v 1.9 2006/11/11 15:36:03 hxml Exp $

HXT_HOME	= ../../..
PKGFLAGS	= 
GHCFLAGS	= -Wall -O2
GHC		= ghc $(GHCFLAGS) $(PKGFLAGS)

DIST		= $(HXT_HOME)/dist/examples/arrows
DIST_DIR	= $(DIST)/performance

CNT		= 3

ropts		= +RTS -s -RTS 
popts		= +RTS -P -hy -RTS

prog		= ./GenDoc
prog2		= ./ReadDoc
prog3		= ./PruneRight
prog4		= ./PruneLeft
prog5		= ./MemTest
prog6		= ./MemTest1
progs		= $(prog) $(prog2) $(prog3) $(prog4) $(prog5) $(prog6)

all		: $(progs)

prof		:
		$(MAKE) all PKGFLAGS="-prof -auto-all -caf-all"

$(prog)		: $(prog).hs
		$(GHC) --make -o $@ $<

local		:
		$(GHC) --make -o $(prog) -fglasgow-exts -ignore-package hxt -i../../../src $(prog).hs

$(prog2)	: $(prog)
		ln -f $(prog) $(prog2)

$(prog3)	: $(prog)
		ln -f $(prog) $(prog3)

$(prog4)	: $(prog)
		ln -f $(prog) $(prog4)

$(prog5)	: $(prog)
		ln -f $(prog) $(prog5)

$(prog6)	: $(prog)
		ln -f $(prog) $(prog6)

# generate and read documents containing a binary tree
# with 2^i leaf nodes containing the numbers 1 to 2^i
# for i up to at least 22 (8M XML elements) output works fine
# for i up to 19 (1M XML elements) input works without swapping
# with i=20 swapping starts, but the program it still terminates
# the size of the XML file for i=20 is about 36Mb
# these tests have run on a box with 1Gb memory

tests		= 2 3 10 11 12
ptests          = 16

test		: $(prog)
		$(MAKE) genfiles   tests="$(tests)"
		$(MAKE) readfiles  tests="$(tests)"
		$(MAKE) pruneright tests="$(tests)"
		$(MAKE) pruneleft  tests="$(tests)"

perftest	: $(prog)
		$(MAKE) test tests="2 3 10 11 12 13 14 15 16 17 18 19 20"

pgenfiles	:
		rm -f $(prog).aux $(prog).hp $(prog).ps $(prog).prof
		$(MAKE) genfiles ropts="$(popts)" tests=$(ptests)
		hp2ps -c $(prog).hp

preadfiles	:
		$(MAKE) readfiles ropts="$(popts)" tests=$(ptests)
		hp2ps -c $(prog2).hp

genfiles	:
		@for i in $(tests) ; \
		do \
		echo time $(prog) $(ropts) $$i ; \
		time $(prog) $(ropts) $$i ; \
		ls -l tree-*$$i.xml ; \
		echo ; \
		done

readfiles	:
		@for i in $(tests) ; \
		do \
		echo time $(prog2) $(ropts) $$i ; \
		time $(prog2) $(ropts) $$i ; \
		echo ; \
		done

pruneright	:
		@for i in $(tests) ; \
		do \
		echo time $(prog3) $(ropts) $$i ; \
		time $(prog3)  $(ropts) $$i ; \
		echo ; \
		done

pruneleft	:
		@for i in $(tests) ; \
		do \
		echo time $(prog4) $(ropts) $$i ; \
		time $(prog4) $(ropts) $$i ; \
		echo ; \
		done

memtest	:
		@for i in $(tests) ; \
		do \
		echo time $(prog5) $(ropts) $$i ; \
		time $(prog5) $(ropts) $$i ; \
		echo ; \
		done

dist		:
		[ -d $(DIST_DIR) ] || mkdir -p $(DIST_DIR)
		cp Makefile GenDoc.hs $(DIST_DIR)

clean		:
		rm -f $(progs) *.o *.hi *.xml

=== debian/changelog ===
haskell-hxt (9.3.1.18-2) unstable; urgency=medium

  * Sourceful upload for GHC 8.8.

 -- Clint Adams <clint@debian.org>  Thu, 04 Jun 2020 12:21:52 -0400

haskell-hxt (9.3.1.18-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 29 Jul 2019 16:36:01 -0400

haskell-hxt (9.3.1.16-6) unstable; urgency=medium

  * Remove build dependency on libghc-parsec3-dev (provided by ghc-
    8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 12:06:13 +0300

haskell-hxt (9.3.1.16-5) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:33:28 +0300

haskell-hxt (9.3.1.16-4) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:12:17 +0300

haskell-hxt (9.3.1.16-3) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:53 -0400

=== debian/rules ===
#!/usr/bin/make -f

DEB_CABAL_PACKAGE = hxt
DEB_DEFAULT_COMPILER = ghc

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

=== debian/watch ===
version=3
https://hackage.haskell.org/package/hxt/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-hxt 9.3.1.22

=== examples/arrows/pickle/Makefile ===
# $Id: Makefile,v 1.3 2005/04/14 12:52:50 hxml Exp $
#
# hello world application of Haskell XML Toolbox

HXT_HOME	= ../../..
PKGFLAGS	= 
GHCFLAGS	= -Wall -O2
GHC		= ghc $(GHCFLAGS) $(PKGFLAGS)

DIST		= $(HXT_HOME)/dist/examples/arrows
DIST_DIR	= $(DIST)/pickle

PROG		= ./pickleTest ./pickleTestWithNamespaces

all		: $(PROG)

force		:
		$(MAKE) distclean all

test		:
		./pickleTest
		@sleep 1
		@echo "the program p2 as XML document"
		@sleep 3
		cat pickle.xml
		./pickleTestWithNamespaces
		@sleep 1
		@echo "the program p2 as XML document"
		@sleep 3
		cat pickle.xml

dist		:
		[ -d $(DIST_DIR) ] || mkdir -p $(DIST_DIR)
		cp PickleTest.hs Makefile $(DIST_DIR)

clean		:
		rm -f *.o *.hi pickle.xml $(PROG)

distclean	:
		$(MAKE) clean

.PHONY		: all test dist clean distclean force

pickleTest	: PickleTest.hs
		$(GHC) --make -o $@ $<

pickleTestWithNamespaces	: PickleTestWithNamespaces.hs
		$(GHC) --make -o $@ $<

=== debian/changelog ===
haskell-hxt (9.3.1.22-4) unstable; urgency=medium

  * Build using dh-haskell
  * Sourceful upload for GHC 9.10

 -- Scott Talbert <swt@techie.net>  Sun, 11 Jan 2026 15:21:24 -0500

haskell-hxt (9.3.1.22-3) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 21 Sep 2024 18:33:10 +0300

haskell-hxt (9.3.1.22-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 07 Sep 2023 20:23:19 +0300

haskell-hxt (9.3.1.22-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.1

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 30 Jun 2022 12:18:17 -0400

=== debian/control ===
Source: haskell-hxt
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 TANIGUCHI Takaki <takaki@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends: haskell-devscripts (>= 0.13),
 dh-sequence-haskell,
 debhelper-compat (= 13),
 ghc (>= 9.10),
 ghc-prof,
 libghc-hxt-charproperties-dev (>= 9.1),
 libghc-hxt-charproperties-prof,
 libghc-hxt-regex-xmlschema-dev (>= 9.2),
 libghc-hxt-regex-xmlschema-prof,
 libghc-hxt-unicode-dev (>= 9.0.1),
 libghc-hxt-unicode-prof,
 libghc-network-uri-dev (>= 2.6),
 libghc-network-uri-prof,
Build-Depends-Indep: ghc-doc,
 libghc-hxt-charproperties-doc,
 libghc-hxt-regex-xmlschema-doc,
 libghc-hxt-unicode-doc,
 libghc-network-uri-doc,
Standards-Version: 4.7.0
Homepage: https://github.com/UweSchmidt/hxt
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hxt
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hxt]
X-Description: collection of tools for processing XML with Haskell
 The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but introduces a
 more general approach for processing XML with Haskell.  The Haskell XML
 Toolbox uses a generic data model for representing XML documents, including
 the DTD subset and the document subset, in Haskell.  It contains a validating
 XML parser, a HTML parser, namespace support, an XPath expression evaluator,
 an XSLT library, a RelaxNG schema validator and funtions for serialization and
 deserialization of user defined data.  The library makes extensive use of the
 arrow approach for processing XML.
 .
 Since version 9 the toolbox is partitioned into various (sub-)packages.  This
 package contains the core functionality, hxt-curl, hxt-tagsoup, hxt-relaxng,
 hxt-xpath, hxt-xslt, hxt-regex-xmlschema contain the extensions.  hxt-unicode
 contains encoding and decoding functions, hxt-charproperties char properties
 for unicode and XML.

Package: libghc-hxt-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-hxt-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-hxt-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
